Create Complaint

Create a Complaint object in the system.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Params

  • json_complaint - Complaint details as json object string like

    {  
      "locationId":298, ---- Complaint location id
      "complaintTypeId":78, ---- Complaint type id
      "details":"test complaint", ---- Description of the complaint(Min 10 - Max 500 chars)
      "landmarkDetails":"landmark" ---- Complaint landmark details (Max 200 chars)
    }
    

    above json format only valid if you want to file a complaint without gps data (lat and long)
    Or If you want to file a complaint with gps data then json format should be like below :

    { 
      "lat":14.796951937351869, ---- Latitude of complaint location
      "lng":78.29030089080334, ---- Longitude of complaint Location
      "complaintTypeId":78, ---- Complaint type id
      "details":"test complaint", ---- Description of the complaint(Min 10 - Max 500 chars)
      "landmarkDetails":"landmark" ---- Complaint landmark details  (Max 200 chars)
    }
    
  • files - This param used for upload complaint media files (up-to 3 max).

Response data format described below

JSON KeyData TypeDescription
statusJSON Object
status --> typeStringDenotes whether success or failure
status --> messageStringResponse message
resultJSON Object
result --> detailStringComplaint description
result --> crnStringComplaint number
result --> createdDateStringDate of complaint created
result --> statusStringComplaint status
result --> childLocationNameStringComplaint location name
(it's only available when user register complaint with location name)
result --> locationNameStringComplaint location ward details
result --> latNumber (Double)Latitude of complaint location
(it's only available when user register complaint with gps)
result --> lngNumber (Double)Longitude of complaint location
(it's only available when user register complaint with gps)
result --> complaintTypeIdNumberComplaint type id
result --> complaintTypeNameStringComplaint type name
result --> landmarkDetailsStringComplaint landmark details
result --> supportDocsSizeNumberDenotes how many images are uploaded for this complaint
Path Params
string
required

Logged in user access token generated using authorization api

string
required

json object as string with complaint details as explained below.

Body Params
file

Complaint Images(maximum three images are allowed)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json